<query>
	<!--
		<get/post/sys/info>标签说明：
		
		<get>	- 使用get方式提交
		<post>	- 使用post方式提交
		<sys>	- 系统标签(系统标签的name值请勿改动）,不能自主增加
		<info>	- 该标签用于提取get或post标签请求结果中的多个信息,如果get/post结果中只需提取一个信息，那么可以直接在get/post标签中进行提取
		
		标签属性值：
		url			:(必填) - 请求的URL地址
		name		:(必填) - 标签名
		
		pattern		:(必填) - 用于匹配结果的正则表达式 如：(1\d{10})
		value		:(必填) - 用于获取正则表达式匹配的分组结果，如：手机号$1
		default		:(必填) - 当表达式匹配不到结果时 使用该值
		error		:(可选) - 如果网页中匹配不到该值，则表示请求过程中发生了错误。
		
		find		:(可选) - 查找 对匹配到的结果进行再次查找替换
		replace		:(可选) - 替换 用来替换的值
		
		show		:(必填) - 是否在软件上显示，如果不显示 那么软件也不会执行(1显示，0隐藏)
		checked		:(必填) - 是否默认选中勾选启用，(1选中，0不选)。 show 与 checked 的值同时为1，软件才会执行该规则。
		
		tip 		:(可选) - 鼠标指向控件时的提示信息
		format 		:(可选) - 如果结果为时间格式，可根据需要进行格式化(yyyy-MM-dd HH:mm:ss)
		cache 		:(可选) - 缓存名称(不许重复)
		cachetime 	:(可选) - 数据缓存过期时间 单位(分钟) 
		encode	  	:(可选) - 网页编码
		timeout	  	:(可选) - 请求超时时间 默认6000毫秒
		referer	  	:(可选) - HTTP请求头 来路
		contenttype	:(可选) - HTTP请求头 内容类型
		cookie		:(可选) - HTTP请求头 cookie
		postdata	:(可选) - <post>标签模式下使用，post提交数据
		
		sys标签专属属性：
		retrycount 	:请求失败重试次数(仅限sys标签使用)
		
	-->
	<sys name="域名查询" show="1" checked="1" retrycount="10" cache="域名查询" cachetime='600'>
		<info name="注册状态" default='已注册' pattern='(未注册)' error="^((?:(?!错误|失败)[\s\S])+?)$" find="" replace="" value="$1" show="1"></info>
		<info name="注册时间" default='-' format='yyyy-MM-dd' pattern='^[\s\S]*?Creation Date:\s*(.+?)<br/>' error="" find="" replace="" value="$1" show="1"></info>
		<info name="更新时间" default='-' format='yyyy-MM-dd' pattern='^[\s\S]*?Updated Date:\s*(.+?)<br/>' error="" find="" replace="" value="$1" show="1"></info>
		<info name="过期时间" default='-' format='yyyy-MM-dd' pattern='^[\s\S]*?Expiration Date:\s*(.+?)<br/>' error="" find="" replace="" value="$1" show="1"></info>
	</sys>

	<sys name="备案查询" show="1" checked="0" retrycount="10" cache="备案查询" cachetime='42000'>
		<info name="单位名称" default='-' pattern='^[\s\S]+?<td align="center" class="bxy">(.+?)</td>' error="主办单位名称" find="&nbsp;" replace="" value="$1" show="1"></info>
		<info name="单位性质" default='-' pattern='^(?:[\s\S]+?<td align="center" class="bxy">.+?</td>){1}[\s\S]+?<td align="center" class="bxy">(.+?)</td>' error="主办单位名称" find="&nbsp;" replace="" value="$1" show="1"></info>
		<info name="备案号码" default='-' pattern='^(?:[\s\S]+?<td align="center" class="bxy">.+?</td>){2}[\s\S]+?<td align="center" class="bxy">(.+?)</td>' error="主办单位名称" find="&nbsp;" replace="" value="$1" show="1" format=""></info>
		<info name="网站名称" default='-' pattern='^(?:[\s\S]+?<td align="center" class="bxy">.+?</td>){3}[\s\S]+?<td align="center" class="bxy">(.+?)</td>' error="主办单位名称" find="&nbsp;" replace="" value="$1" show="1"></info>
		<info name="网站首页" default='-' pattern='^(?:[\s\S]+?<td align="center" class="bxy">.+?</td>){4}[\s\S]+?<td align="center" class="bxy">(.+?)</td>' error="主办单位名称" find="\s*<.+?>\s*|&nbsp;" replace="" value="$1" show="1"></info>
		<info name="审核时间" default='-' format='yyyy-MM-dd' pattern='^(?:[\s\S]+?<td align="center" class="bxy">.+?</td>){5}[\s\S]+?<td align="center" class="bxy">(.+?)</td>' error="主办单位名称" find="&nbsp;" replace="" value="$1" show="1"></info>
	</sys>

	<!--  单个结果示例  -->
	<get name="PR" tip='来自pr.alexa.cn的pr查询结果' cache="PR查询" cachetime='42000' width='50' encode='utf-8' default='-' url="http://pr.alexa.cn/?url={0}" pattern="^[\s\S]+?style='margin-left:218px;'>(\d+)</span></li>" value="$1" error="</li>" show="1" checked="0" timeout="" referer="" cookie="" find="" replace="" format=""></get>
	<get name="百度收录" encode='utf-8' default='-' url="http://www.baidu.com/s?wd=site%3A{0}" pattern="(?:找到相关结果数|找到相关结果数约|该网站共有<.+?>)([\d,]+)(?:</b>)*个" value="$1" error="site:{0}" show="1" checked="0" timeout="" referer="" cookie="" cache="百度收录" cachetime="600" find="" replace="" format=""></get>
	<get name="360搜索" encode='utf-8' default='-' url="http://www.haosou.com/s?q=site%3A{0}" pattern="^[\s\S]+?找到相关结果约([\d,]+)个" value="$1" error='site:{0}' show="1" checked="0" timeout="" referer="" cookie="" cache="360搜索" cachetime="600" find="" replace="" format=""></get>

	<!--  一个请求多个结果示例 -->
	<get name="Alexa排名" encode='utf-8' cache="Alexa排名" cachetime='21600' default='-' url="http://data.alexa.com/data/+wQ411en8000lA?cli=10&dat=snba&ver=7.0&cdt=alx_vw=20&wid=12206&act=00000000000&ss=1680x1050&bw=964&t=0&ttl=35371&vis=1&rq=4&url=http://{0}" show="1" checked="0" timeout="" referer="" cookie="">
		<info name="全球排名" default='-' width='50' pattern='^[\s\S]+?<POPULARITY .+?TEXT="(\d+)"' value="$1" error='<ALEXA VER=' find="" replace="" value="$1" show="1" format=""></info>
		<info name="中文排名" default='-' width='50' pattern='^[\s\S]+?NAME="China" RANK="(\d+)"' value="$1" error='<ALEXA VER=' find="" replace="" value="$1" show="1" format=""></info>
	</get>
	
	
</query>


